Documentation Index

Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt

Use this file to discover all available pages before exploring further.

OTP History List

Prev Next
Post
/list/otp-history

This API call retrieves OTP History records based on the specified input parameters.

Body parameters
Order by profile_id
{
  "apptoken": "YOUR_APPTOKEN",
  "order": [
    "profile_id"
  ]
}
Filter by profile_id
{
  "apptoken": "YOUR_APPTOKEN",
  "condition": [
    [
      "profile_id",
      "=",
      "profileId"
    ]
  ]
}
Order by request_ts descending
{
  "apptoken": "YOUR_APPTOKEN",
  "order": [
    "request_ts DESC"
  ]
}
object
apptoken
string Required

Your App token

condition
string (json)

Filter conditions for OTP history records

limit
integer (int32)

Used with offset for pagination

offset
integer (int32)

Used with limit for pagination

Responses
200

200

Result
{
  "success": "True",
  "code": "200",
  "data": [
    {
      "otp_id": "01940221-566f-71ad-9702-39b8c8718cab",
      "integration_id": "9",
      "profile_id": "11e93ff698f70bb681ec0a22275e6966",
      "mobile_number": "+380987050091",
      "request_ts": "2024-12-26T08:42:06Z",
      "verified_ts": "2024-12-26T08:43:25Z",
      "source": "1"
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleTrue
code
integer
Default0
Example200
data
Array of object
object
otp_id
string
Example01940221-566f-71ad-9702-39b8c8718cab
integration_id
integer
Default0
Example9
profile_id
string
Example11e93ff698f70bb681ec0a22275e6966
mobile_number
string
Example+380987050091
request_ts
string
Example2024-12-26T08:42:06Z
sent_ts
delivered_ts
verified_ts
string
Example2024-12-26T08:43:25Z
error
source
integer
Default0
Example1
400

400

Result
{
  "success": "False",
  "code": "400",
  "message": "Invalid request",
  "errors": [
    {
      "text": [
        "Missing or invalid 'apptoken'"
      ]
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleFalse
code
integer
Default0
Example400
message
string
ExampleInvalid request
errors
Array of object
object
text
Array of string
string
ExampleMissing or invalid 'apptoken'